#include <stdio.h>
int main()
{
    int N, i=0, h=0, t;
    scanf("%d", &N);
    double niz_ai[N], niz_pi[N], S=0, max=0;
    while(i<N){
        scanf("%lf%lf",&niz_ai[i],&niz_pi[i]);
        i=++i;
    }
    i=0;
    t=h;
    while(i<N){
        while(i<N){
            S=S+(niz_ai[i]-niz_ai[i]*(niz_pi[h]*0.01));
            while(t<N){
                if(niz_pi[t]<niz_pi[i]){
                    S=S-niz_ai[t];
                }
                t=++t;
            }
            i=++i;
            if(S>max){
                max=S;
            }
        }
        h=++h;
    }
    printf("%lf", max);
}